<?php
defined('_JEXEC') or die('Restricted access');

/**
* @package OS CCK
* @copyright 2020 OrdaSoft.
* @author Andrey Kvasnevskiy(akbet@mail.ru),Roman Akoev (akoevroman@gmail.com)
* @link http://ordasoft.com/cck-content-construction-kit-for-joomla.html
* @description OrdaSoft Content Construction Kit
*/

class HTML_os_cck{

  //------------------------------------------------------------------
  static function about($avaibleUpdate){
    global $app;
    $html = "<div class='os_cck_caption' ><img src='./components/com_os_cck/images/os_cck_logo.png' alt ='Config' />" . cck_lang_text('COM_OS_CCK_ADMIN_ABOUT') . "</div>";
    $app->JComponentTitle = $html;
    ?>
    <div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
    <form action="index.php" method="post" name="adminForm" id="adminForm">
    <?php if($avaibleUpdate){?>
      <span class="cck-new-version">Avaible new version.</span>
    <?php }?>
      <?php
      $options = Array('active'    => 'panel_1_id');
      echo JHtml::_('bootstrap.startTabSet', 'aboutPane', $options);
      echo JHtml::_('bootstrap.addTab', 'aboutPane', 'panel_1_id', cck_lang_text('COM_OS_CCK_ADMIN_ABOUT_ABOUT'));
      
      ?>
      <table class="adminform">
        <tr>
          <td>
            <img src="./components/com_os_cck/images/os_cck_logo2.png" alt="OS_CCK logo"/>
          </td>
        </tr>
        <tr>
          <td>
            <h3><?PHP echo cck_lang_text('COM_OS_CCK__HTML_ABOUT'); ?></h3>
            <?PHP echo cck_lang_text('COM_OS_CCK_HTML_ABOUT_INTRO'); ?>
          </td>
        </tr>
      </table>
      <?php
      //******************************   tab--2 about   **************************************
      echo JHtml::_('bootstrap.endTab');
      echo JHtml::_('bootstrap.addTab', 'aboutPane', 'panel_2_id', cck_lang_text('COM_OS_CCK_ADMIN_ABOUT_RELEASENOTE'));
      
      include_once("./components/com_os_cck/doc/releasenote.php");
      //******************************   tab--3 about--changelog.txt   ***********************
      echo JHtml::_('bootstrap.endTab');
      echo JHtml::_('bootstrap.addTab', 'aboutPane', 'panel_3_id', cck_lang_text('COM_OS_CCK_ADMIN_ABOUT_CHANGELOG'));
      
      include_once("./components/com_os_cck/doc/changelog.html");
      echo JHtml::_('bootstrap.endTab');
      echo JHtml::_('bootstrap.endTabSet');
      ?>
    </form>
    <?php
  }
}

